from .grocy_api_client import GrocyApiClient, GrocyEntity

TASK_CATEGORIES_ENDPOINT = 'objects/task_categories'


class TaskCategory(GrocyEntity):
    def __init__(self, api: GrocyApiClient, endpoint: str, parsed_json):
        self.__name = parsed_json.get('name')
        self.__description = parsed_json.get('description', None)
        super().__init__(api, endpoint, parsed_json)

    @property
    def name(self) -> str:
        return self.__name

    @property
    def description(self) -> str:
        return self.__description
